@charset "UTF-8";

body{
    text-align: center;
    margin: 0;
    padding: 0;
    background-color: azure;
    scrollbar-color: red;
}

.header{
    background-color: rgb(194, 241, 241);
    box-shadow: 0px 0px 10px rgba(0, 0, 0, .5);
    display: flex;
    position: fixed;
    height: 64px;
    width: 100%;
}

.nav {
    margin: 0 0 0 auto;
   }

.nav-menu {
         display: flex;
         padding: 15px 20px;
         list-style: none;
         flex-direction: row;
         flex-wrap: wrap;
         justify-content: space-between;
         align-items: center;
        }

.nav-menu-item {
              margin: 0;
              font-size: 16px;
              font-weight: bold;
              color: #000000;
             }

.nav-menu-link {
              text-decoration: none;
              color: inherit;
             }

.nav-menu-button {
                margin: 0;
                font-size: 16px;
                font-weight: bold;
                color: #FFFFFF;
                border-radius: 5px;
                box-shadow: 0px 0px 10px rgba(0, 0, 0, .75);
               }

.nav-menu-border {
                height: 24px;
                border-width: 0 1px;
                border-style: solid;
                border-color: #FFFFFF;
                margin: 0 10px;
               }

.midashi {
         width: 760px;
         text-align: left;
         background: #008040A0;
         border-right-width: 20px;
         border-right-color: #004080;
         border-right-style: solid;
         box-shadow: 0px 0px 5px 3px rgba(0, 0, 0, .2);
        }

.red-text {
         color: #EE0000;
        }

.pc {
   display: block !important;
  }

.sp {
   display: none !important;
  }

@media screen and (max-width: 850px) {

hr {
  max-width: 95%;
 }

img {
   max-width: 95%;
   height: auto;
  }

.midashi {
          max-width: 90%;
          margin: 0 auto;
}

.nav-menu {
         width: 100%;
         padding: 8px 0;
        }

.nav-menu-item {
              margin-left: 0px;
              margin-right: 0px;
              text-align: center;
              font-size: 12px;
             }

.nav-menu-border {
                height: 48px;
                margin: 0;
               }

.pc {
   display: none !important;
  }

.sp {
   display: block !important;
  }

}

h1,h2 {
  margin: 10px auto;
 }

 h1{
  font-family: sans-serif;
 }

 .twitter-timeline{
  align-items: center;
  text-align: center;
 }

 .loading{
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  z-index: 10;
  background-color: azure;
  display: flex;
  align-items: center;
  justify-content: center;
  animation: fadeOut 1.5s 2.5s forwards;
 }

 @keyframes fadeOut{
  0% {
    opacity: 1;
  }

  100% {
    opacity: 0;
    visibility: hidden;
 }
 }

 .loading_logo{
  opacity: 0;
  animation: logo_fade 2s 0.5s forwards;
  width: 1024px;
 }

 @keyframes logo_fade{
  0% {
      opacity: 0;
      transform: translateY(20px);
  }
  60% {
      opacity: 1;
      transform: translateY(0);
  }

  100% {
    opacity: 0;
  }
 }

.support{
  font-family: fantasy;
 }
 
.center{
  text-align: center;
}

.sns{
  display: flex;
  justify-content: center;
}

.sns_text{
  font-family: fantasy;
  font-size: 64;
  text-align: center;
}

.notice_title{
  color: red;
  font-family: serif;
}

.notice{
  font-family: sans-serif;
}

.menu {
  position: fixed;
  top: 0;
  right: -100%;
  background-color: #fafad2;
  color: #333;
  transition: right 0.3s ease;
  padding: 20px;
  box-sizing: border-box;
  z-index: 10;
}

.menu.open{
  right: 0;
}

.hamburger {
  position: fixed;
  top: 20px;
  right: 20px;
  width: 30px;
  cursor: pointer;
  z-index: 20;
}

.hamburger span {
  display: block;
  height: 3px;
  width: 100%;
  background-color: #333;
  margin: 5px 0;
  transition: 0.4s;
}

.hamburger.active span:nth-child(1)
{
  transform: rotate(45beg)
  translate(5px, 5px);
}

.hamburger.active span:nth-child(2)
{
  opacity: 0;
}

.hamburger.active span:nth-child(3)
{
  transform: rotate(-45beg)
  translate(6px, -6px);
}

.menu ul{
  list-style-type: none;
  padding: 0;
  margin-top: 80px;
}

.menu li{
  padding: 20px 0;
  border-bottom: 1px solid #444;
}

.menu li a{
  color: #333;
  text-decoration: none;
  display: block;
}